petsc-3.12.4 2020-02-04
Report Typos and Errors

# ISLOCALTOGLOBALMAPPINGHASH

hash implementation of the ISLocalToGlobalMapping object. When ISGlobalToLocalMappingApply() is used this is good for large memory problems.

### Options Database Keys

-islocaltoglobalmapping_type hash -select this method

### Notes

This is selected automatically for large problems if the user does not set the type.

### See Also

ISLocalToGlobalMappingCreate(), ISLocalToGlobalMappingSetType(), ISLOCALTOGLOBALMAPPINGHASH

### Level

beginner

### Location

src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages